Update a contact
curl --request PATCH \
--url https://api.openmic.ai/v1/contact-lists/{contact_list_id}/contacts/{contact_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"phone_number": "<string>",
"phone_number_2": "<string>",
"phone_number_3": "<string>",
"contact_info": {}
}
'import requests
url = "https://api.openmic.ai/v1/contact-lists/{contact_list_id}/contacts/{contact_id}"
payload = {
"name": "<string>",
"phone_number": "<string>",
"phone_number_2": "<string>",
"phone_number_3": "<string>",
"contact_info": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
phone_number: '<string>',
phone_number_2: '<string>',
phone_number_3: '<string>',
contact_info: {}
})
};
fetch('https://api.openmic.ai/v1/contact-lists/{contact_list_id}/contacts/{contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openmic.ai/v1/contact-lists/{contact_list_id}/contacts/{contact_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'phone_number' => '<string>',
'phone_number_2' => '<string>',
'phone_number_3' => '<string>',
'contact_info' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openmic.ai/v1/contact-lists/{contact_list_id}/contacts/{contact_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"phone_number_2\": \"<string>\",\n \"phone_number_3\": \"<string>\",\n \"contact_info\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.openmic.ai/v1/contact-lists/{contact_list_id}/contacts/{contact_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"phone_number_2\": \"<string>\",\n \"phone_number_3\": \"<string>\",\n \"contact_info\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openmic.ai/v1/contact-lists/{contact_list_id}/contacts/{contact_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"phone_number_2\": \"<string>\",\n \"phone_number_3\": \"<string>\",\n \"contact_info\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"phone_number": "<string>",
"phone_number_2": "<string>",
"phone_number_3": "<string>",
"contact_info": {},
"contact_list_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Contacts
Update a contact
PATCH
/
v1
/
contact-lists
/
{contact_list_id}
/
contacts
/
{contact_id}
Update a contact
curl --request PATCH \
--url https://api.openmic.ai/v1/contact-lists/{contact_list_id}/contacts/{contact_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"phone_number": "<string>",
"phone_number_2": "<string>",
"phone_number_3": "<string>",
"contact_info": {}
}
'import requests
url = "https://api.openmic.ai/v1/contact-lists/{contact_list_id}/contacts/{contact_id}"
payload = {
"name": "<string>",
"phone_number": "<string>",
"phone_number_2": "<string>",
"phone_number_3": "<string>",
"contact_info": {}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
phone_number: '<string>',
phone_number_2: '<string>',
phone_number_3: '<string>',
contact_info: {}
})
};
fetch('https://api.openmic.ai/v1/contact-lists/{contact_list_id}/contacts/{contact_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.openmic.ai/v1/contact-lists/{contact_list_id}/contacts/{contact_id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'phone_number' => '<string>',
'phone_number_2' => '<string>',
'phone_number_3' => '<string>',
'contact_info' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.openmic.ai/v1/contact-lists/{contact_list_id}/contacts/{contact_id}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"phone_number_2\": \"<string>\",\n \"phone_number_3\": \"<string>\",\n \"contact_info\": {}\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.openmic.ai/v1/contact-lists/{contact_list_id}/contacts/{contact_id}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"phone_number_2\": \"<string>\",\n \"phone_number_3\": \"<string>\",\n \"contact_info\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.openmic.ai/v1/contact-lists/{contact_list_id}/contacts/{contact_id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"phone_number\": \"<string>\",\n \"phone_number_2\": \"<string>\",\n \"phone_number_3\": \"<string>\",\n \"contact_info\": {}\n}"
response = http.request(request)
puts response.read_body{
"id": 123,
"name": "<string>",
"phone_number": "<string>",
"phone_number_2": "<string>",
"phone_number_3": "<string>",
"contact_info": {},
"contact_list_id": 123,
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Authorizations
API key authentication. Include your secret API key (omic_...) in the Authorization header as: Authorization: Bearer <your-api-key>. The public key (omic_pub_...) is only accepted by the endpoints the browser widgets call (/whoami, /test-call, /workflow-test-call, and the chat endpoints); every other endpoint rejects it with 403 This endpoint requires a private API key.
Body
application/json
All fields are optional. Only provided fields will be updated.
Response
Updated contact
Unique identifier.
Contact's name.
Primary phone number.
Secondary phone number.
Tertiary phone number.
Custom metadata JSON.
ID of the parent contact list.
Was this page helpful?